Package org.pgpainless.key.generation

# Class KeySpec

java.lang.Object
org.pgpainless.key.generation.KeySpec

public class KeySpec extends Object

## Method Summary

Modifier and Type
Method
Description
`static KeySpecBuilder`
`getBuilder(KeyType type, KeyFlag flag, KeyFlag... flags)`
`Date`
`getKeyCreationDate()`
`KeyType`
`getKeyType()`
`SignatureSubpackets`
`getSubpacketGenerator()`
`org.bouncycastle.openpgp.PGPSignatureSubpacketVector`
`getSubpackets()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getKeyType

@Nonnull public KeyType getKeyType()

### getSubpackets

@Nonnull public org.bouncycastle.openpgp.PGPSignatureSubpacketVector getSubpackets()

### getSubpacketGenerator

@Nonnull public SignatureSubpackets getSubpacketGenerator()

### getKeyCreationDate

@Nullable public Date getKeyCreationDate()

### getBuilder

public static KeySpecBuilder getBuilder(KeyType type, KeyFlag flag, KeyFlag... flags)